package com.ruoyi.robot.mapper;

import java.util.List;
import com.ruoyi.robot.domain.LdTaskExecutionLog;
import org.apache.ibatis.annotations.Param;

/**
 * 任务执行记录Mapper接口
 * 
 * @author ruoyi
 */
public interface LdTaskExecutionLogMapper
{
    /**
     * 查询执行记录
     * 
     * @param id 执行记录主键
     * @return 执行记录
     */
    public LdTaskExecutionLog selectLdTaskExecutionLogById(Long id);

    /**
     * 查询执行记录列表
     * 
     * @param log 执行记录
     * @return 执行记录集合
     */
    public List<LdTaskExecutionLog> selectLdTaskExecutionLogList(LdTaskExecutionLog log);

    /**
     * 根据任务ID查询执行记录
     * 
     * @param taskId 任务ID
     * @return 执行记录列表
     */
    public List<LdTaskExecutionLog> selectLdTaskExecutionLogByTaskId(Long taskId);

    /**
     * 查询某设备今日的执行记录
     * 
     * @param deviceId 设备ID
     * @param executeDate 执行日期
     * @return 执行记录列表
     */
    public List<LdTaskExecutionLog> selectTodayExecutionLogsByDeviceId(@Param("deviceId") String deviceId, @Param("executeDate") String executeDate);

    /**
     * 新增执行记录
     * 
     * @param log 执行记录
     * @return 结果
     */
    public int insertLdTaskExecutionLog(LdTaskExecutionLog log);

    /**
     * 修改执行记录
     * 
     * @param log 执行记录
     * @return 结果
     */
    public int updateLdTaskExecutionLog(LdTaskExecutionLog log);

    /**
     * 删除执行记录
     * 
     * @param id 执行记录主键
     * @return 结果
     */
    public int deleteLdTaskExecutionLogById(Long id);

    /**
     * 批量删除执行记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLdTaskExecutionLogByIds(Long[] ids);

    /**
     * 根据任务ID删除执行记录
     * 
     * @param taskId 任务ID
     * @return 结果
     */
    public int deleteLdTaskExecutionLogByTaskId(Long taskId);
}
